function fCancelar(){
	FrmCls("Dni");
	//---------------------------------------------
	document.getElementById("CmdE").disabled =true;
	document.getElementById("CmdG").value="Guardar";
	document.getElementById("TxtId").value="";
	document.getElementById("TxtAc").value="L";
	//document.getElementById("Frm").submit();
}
//
function Prv_OC(){
	CBO_CLS("Dis",1);
	var dep=gv("Dep");
	var prv=gv("Prv");
	if(jL(dep)>0){
		var dat=AX("FD",dep,prv);
		var r=dat.split("|");
		if(r[1]=="OK"){
			CBO_FILL_EX("Dis",dat,1,3)
		}
	}
}
//
function Dep_OC(){
	CBO_CLS("Prv",1);
	var dep=gv("Dep");
	if(jL(dep)>0){
		var dat=AX("FP",dep);
		var r=dat.split("|");
		if(r[1]=="OK"){
			CBO_FILL_EX("Prv",dat,1,3)
		}
	}
}
//
function fDw(){
	document.getElementById("DivDoc").innerHTML="";
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el ID del registro activo");
	}else{
		var msg=AX("F09",id);
		var dat=msg.split("|");
		if(dat[1]=="MS"){
			alert(dat[2]);
		}else{
			if(dat[1]=="OK"){	
				var cod="mtv09"+"_"+gv("Cod")+".docx";
				var str="<marquee marquee='' direction='left' scrolldelay='15' ";
				str=str+"behavior='slide' truespeed=''>";
				str=str+"<a href='"+dat[2]+"' download='"+cod+"'>DESCARGAR ARCHIVO</a></marquee>";
				document.getElementById("DivDoc").innerHTML=str;
			}else{
				alert("Error de conexion");
			}
		}
	}
}
//
function flNuevo(){
	SM("L");
}
//
function fGuardar(){
	var cod=gv("Cod");
	var pro=gv("Pro");
	var dno=gv("Dno");
	var ddn=gv("Ddn");
	//
	if(jVac(pro,"Seleccione un proceso","Pro"))return;
	if(jVac(dno,"Ingrese el nombre del damnificado","Dno"))return;
	if(jVac(ddn,"Ingrese el dni del damnificado","Ddn"))return;
	//
	if(gv("CmdG")=="Guardar"){
		if(pre("Esta seguro que desea guardar")){
			SM("G");
		}
	}else{
		if(pre("Esta seguro que desea modificar")){
			SM("M");
		}
	}
}
